Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter filter_nat_type : forall (return_:Type), (nat -> return_) -> nat -> return_.
Parameter minus : nat -> nat -> nat.
Parameter minus_body : nat -> nat -> nat.
Axiom axiom_minus : forall (n:nat), connectives.equal (nat -> nat) (minus n) (filter_nat_type (nat -> nat) minus_body n).
Definition eq_minus : forall (n:nat), leibniz.leibniz (nat -> nat) (minus n) (filter_nat_type (nat -> nat) minus_body n) := fun (n:nat) => ((((connectives.equal_leibniz) (nat -> nat)) (minus n)) (filter_nat_type (nat -> nat) minus_body n)) ((axiom_minus) (n)).
